#' vanddraabe: Identification and Statistical Analysis of Conserved Waters in Proteins
#'
#' Identify and analyze conserved waters within crystallographic protein
#' structures and molecular dynamics simulation trajectories. Statistical
#' parameters for each water cluster, informative graphs, and a PyMOL session
#' file to visually explore the conserved waters and protein are returned.
#' Hydrophilicity is the propensity of waters to congregate near specific
#' protein atoms and is related to conserved waters. An informatics derived set
#' of hydrophilicity values are provided based on a large, high-quality X-ray
#' protein structure dataset.
#'
#' @docType package
#' @name vanddraabe
#'
#' @author Emilio Xavier Esposito \email{emilio@@exeResearch.com}
#'
NULL
